# Uses of Interface
org.eclipse.ecf.core.identity.IIDFactory

Packages that use IIDFactory
Package
Description
org.eclipse.ecf.console
org.eclipse.ecf.core.identity
org.eclipse.ecf.core.util
org.eclipse.ecf.remoteservice.util

## Uses of IIDFactory in org.eclipse.ecf.console

Methods in org.eclipse.ecf.console that return IIDFactory
Modifier and Type
Method
Description
`protected abstract IIDFactory`
AbstractCommand.`getIDFactory()`

## Uses of IIDFactory in org.eclipse.ecf.core.identity

Classes in org.eclipse.ecf.core.identity that implement IIDFactory
Modifier and Type
Class
Description
`class`
`IDFactory`
A factory class for creating ID instances.
Fields in org.eclipse.ecf.core.identity declared as IIDFactory
Modifier and Type
Field
Description
`protected static IIDFactory`
IDFactory.`instance`
Methods in org.eclipse.ecf.core.identity that return IIDFactory
Modifier and Type
Method
Description
`static IIDFactory`
IDFactory.`getDefault()`

## Uses of IIDFactory in org.eclipse.ecf.core.util

Methods in org.eclipse.ecf.core.util that return IIDFactory
Modifier and Type
Method
Description
`IIDFactory`
IDFactoryTracker.`getIDFactory()`

## Uses of IIDFactory in org.eclipse.ecf.remoteservice.util

Methods in org.eclipse.ecf.remoteservice.util that return IIDFactory
Modifier and Type
Method
Description
`static IIDFactory`
IDUtil.`getIDFactory()`